Invalid or Corrupted packages (PGP signatures)

I have run the command
sudo pacman -S gnome

I get the following output:

:: There are 56 members in group gnome:
:: Repository extra
   1) baobab  2) epiphany  3) evince  4) gdm  5) gnome-backgrounds
   6) gnome-calculator  7) gnome-calendar  8) gnome-characters  9) gnome-clocks
   10) gnome-color-manager  11) gnome-connections  12) gnome-console
   13) gnome-contacts  14) gnome-control-center  15) gnome-disk-utility
   16) gnome-font-viewer  17) gnome-keyring  18) gnome-logs  19) gnome-maps
   20) gnome-menus  21) gnome-music  22) gnome-remote-desktop
   23) gnome-session  24) gnome-settings-daemon  25) gnome-shell
   26) gnome-shell-extensions  27) gnome-software  28) gnome-system-monitor
   29) gnome-text-editor  30) gnome-tour  31) gnome-user-docs
   32) gnome-user-share  33) gnome-weather  34) grilo-plugins  35) gvfs
   36) gvfs-afc  37) gvfs-goa  38) gvfs-google  39) gvfs-gphoto2  40) gvfs-mtp
   41) gvfs-nfs  42) gvfs-smb  43) loupe  44) malcontent  45) nautilus
   46) orca  47) rygel  48) simple-scan  49) snapshot  50) sushi  51) tecla
   52) totem  53) tracker3-miners  54) xdg-desktop-portal-gnome
   55) xdg-user-dirs-gtk  56) yelp

Enter a selection (default=all): 
warning: evince-45.0-1 is up to date -- reinstalling
warning: gnome-keyring-1:46.1-1 is up to date -- reinstalling
warning: gnome-menus-3.36.0-2 is up to date -- reinstalling
warning: gvfs-1.52.2-2 is up to date -- reinstalling
warning: gvfs-afc-1.52.2-2 is up to date -- reinstalling
warning: gvfs-gphoto2-1.52.2-2 is up to date -- reinstalling
warning: gvfs-mtp-1.52.2-2 is up to date -- reinstalling
warning: gvfs-nfs-1.52.2-2 is up to date -- reinstalling
warning: gvfs-smb-1.52.2-2 is up to date -- reinstalling
warning: simple-scan-44.0-2 is up to date -- reinstalling
warning: yelp-42.2-2 is up to date -- reinstalling
resolving dependencies...
:: There are 2 providers available for emoji-font:
:: Repository extra
   1) noto-fonts-emoji  2) ttf-joypixels

Enter a number (default=1): 1
looking for conflicting packages...

Packages (125) bolt-0.9.7-1  brltty-6.6-5  colord-gtk-common-0.3.0-2
               colord-gtk4-0.3.0-2  cracklib-2.9.11-1  cups-pk-helper-0.2.7-1
               dotconf-1.3-7  editorconfig-core-c-0.12.6-1
               evolution-data-server-3.50.4-1  exempi-2.6.5-1  folks-0.15.7-1
               freerdp-2:2.11.4-1  geocode-glib-2-3.26.4-4
               geocode-glib-common-3.26.4-4  gjs-2:1.78.4-1  glycin-0.1.2-2
               gnome-autoar-0.4.4-1  gnome-bluetooth-3.0-42.8-1
               gnome-desktop-4-1:44.0-1  gnome-online-accounts-3.48.0-2
               gom-0.4-7  grilo-0.3.16-1  gsound-1.0.3-3
               gst-editing-services-1.22.10-1  gst-plugin-gtk-1.22.10-1
               gtk-vnc-1.3.1-1  gtksourceview5-5.10.0-1  gupnp-av-0.14.1-2
               gupnp-dlna-0.12.0-2  iio-sensor-proxy-3.5-2  js115-115.8.0-1
               libao-1.2.2-6  libdisplay-info-0.1.1-3  libdmapsharing-3.9.13-1
               libedataserverui4-3.50.4-1  libei-1.2.1-1  libgdata-0.18.1-3
               libgdm-45.0.1-1  libgoa-3.48.0-2  libgrss-0.7.0+16+g971c421-3
               libgweather-4-4.4.0-2  libibus-1.5.29-3  libiptcdata-1.0.5-2
               liblouis-3.29.0-1  libmediaart-1.9.6-2
               libnautilus-extension-45.2.1-1  libnma-gtk4-1.10.6-2
               liboauth-1:1.0.3+r16+gc26f038-1  libpeas-1.36.0-4
               libphonenumber-1:8.13.31-1  libportal-0.7.1-2
               libportal-gtk3-0.7.1-2  libportal-gtk4-0.7.1-2
               libpwquality-1.4.5-3  librest-0.9.1-2  libshumate-1.1.3-1
               libspeechd-0.11.5-1  libvncserver-0.9.14-2  mod_dnssd-0.6-9
               mutter-45.4-1.0  noto-fonts-emoji-1:2.042-1
               python-atspi-2.46.1-1  python-setproctitle-1.3.3-1
               speech-dispatcher-0.11.5-1  totem-pl-parser-3.26.6-2
               vte4-0.74.2-1  webkitgtk-6.0-2.42.5-2  xorg-xhost-1.0.9-1
               xorg-xwayland-23.2.6-0  baobab-45.0-1  epiphany-45.3-1
               evince-45.0-1  gdm-45.0.1-1  gnome-backgrounds-45.0-1
               gnome-calculator-45.0.2-1  gnome-calendar-45.1-1
               gnome-characters-45.0-1  gnome-clocks-45.0-1
               gnome-color-manager-3.36.0+r51+gcf7ee2b5-1
               gnome-connections-45.0-1  gnome-console-45.0-1
               gnome-contacts-45.1-1  gnome-control-center-45.3-1
               gnome-disk-utility-45.1-1  gnome-font-viewer-45.0-1
               gnome-keyring-1:46.1-1  gnome-logs-45beta-1  gnome-maps-45.5-1
               gnome-menus-3.36.0-2  gnome-music-1:45.1-1
               gnome-remote-desktop-45.1-1  gnome-session-45.0-1
               gnome-settings-daemon-45.1-1  gnome-shell-1:45.4-1
               gnome-shell-extensions-45.2-1  gnome-software-45.3-1
               gnome-system-monitor-45.0.2-1  gnome-text-editor-45.3-1
               gnome-tour-45.0-1  gnome-user-docs-45.1-1
               gnome-user-share-43.0-1  gnome-weather-45.0-1
               grilo-plugins-1:0.3.16-1  gvfs-1.52.2-2  gvfs-afc-1.52.2-2
               gvfs-goa-1.52.2-2  gvfs-google-1.52.2-2  gvfs-gphoto2-1.52.2-2
               gvfs-mtp-1.52.2-2  gvfs-nfs-1.52.2-2  gvfs-smb-1.52.2-2
               loupe-45.3-1  malcontent-0.11.1-4  nautilus-45.2.1-1
               orca-45.2-1  rygel-1:0.42.5-1  simple-scan-44.0-2
               snapshot-45.2-1  sushi-45.0-1  tecla-45.0-1  totem-43.0-2
               tracker3-miners-3.6.2-2  xdg-desktop-portal-gnome-45.1-1
               xdg-user-dirs-gtk-0.11-2  yelp-42.2-2

Total Download Size:   176.10 MiB
Total Installed Size:  785.55 MiB
Net Upgrade Size:      757.06 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 libibus-1.5.29-3...    11.1 MiB  1743 KiB/s 00:07 [######################] 100%
 js115-115.8.0-1-...    11.7 MiB  1071 KiB/s 00:11 [######################] 100%
 gnome-user-docs-...    10.2 MiB  2.29 MiB/s 00:04 [######################] 100%
 noto-fonts-emoji...     9.1 MiB  2.65 MiB/s 00:03 [######################] 100%
 gnome-control-ce...     6.5 MiB  1232 KiB/s 00:05 [######################] 100%
 webkitgtk-6.0-2....    26.8 MiB  1583 KiB/s 00:17 [######################] 100%
 evolution-data-s...     4.0 MiB  2.98 MiB/s 00:01 [######################] 100%
 speech-dispatche...     4.0 MiB  1926 KiB/s 00:02 [######################] 100%
 libgweather-4-4....     3.0 MiB  2.85 MiB/s 00:01 [######################] 100%
 gnome-background...    29.5 MiB  1438 KiB/s 00:21 [######################] 100%
 glycin-0.1.2-2-x...     3.4 MiB  1912 KiB/s 00:02 [######################] 100%
 mutter-45.4-1.0-...     2.7 MiB  1293 KiB/s 00:02 [######################] 100%
 orca-45.2-1-any         2.6 MiB  2.52 MiB/s 00:01 [######################] 100%
 nautilus-45.2.1-...     2.3 MiB  2.00 MiB/s 00:01 [######################] 100%
 liblouis-3.29.0-...     2.4 MiB  1544 KiB/s 00:02 [######################] 100%
 epiphany-45.3-1-...     2.2 MiB  1259 KiB/s 00:02 [######################] 100%
 gnome-software-4...  1913.9 KiB  1608 KiB/s 00:01 [######################] 100%
 loupe-45.3-1-x86_64  1958.5 KiB  1507 KiB/s 00:01 [######################] 100%
 gnome-calculator...  2001.9 KiB  1243 KiB/s 00:02 [######################] 100%
 brltty-6.6-5-x86_64  1832.6 KiB  1005 KiB/s 00:02 [######################] 100%
 evince-45.0-1-x86_64 1753.6 KiB  2.23 MiB/s 00:01 [######################] 100%
 gnome-shell-1:45...  1788.6 KiB  1771 KiB/s 00:01 [######################] 100%
 freerdp-2:2.11.4...  1591.6 KiB  1185 KiB/s 00:01 [######################] 100%
 folks-0.15.7-1-x...  1360.8 KiB   982 KiB/s 00:01 [######################] 100%
 libphonenumber-1...  1169.0 KiB  2.05 MiB/s 00:01 [######################] 100%
 snapshot-45.2-1-...  1280.1 KiB  1476 KiB/s 00:01 [######################] 100%
 totem-43.0-2-x86_64  1161.3 KiB   995 KiB/s 00:01 [######################] 100%
 simple-scan-44.0...  1092.3 KiB   890 KiB/s 00:01 [######################] 100%
 gnome-disk-utili...  1067.8 KiB  1907 KiB/s 00:01 [######################] 100%
 rygel-1:0.42.5-1...  1073.9 KiB  1294 KiB/s 00:01 [######################] 100%
 gnome-color-mana...  1065.1 KiB   981 KiB/s 00:01 [######################] 100%
 gtksourceview5-5...  1027.4 KiB   778 KiB/s 00:01 [######################] 100%
 gvfs-1.52.2-2-x86_64 1003.1 KiB  1967 KiB/s 00:01 [######################] 100%
 gnome-settings-d...   952.5 KiB  1024 KiB/s 00:01 [######################] 100%
 gnome-maps-45.5-...   926.9 KiB   794 KiB/s 00:01 [######################] 100%
 grilo-plugins-1:...   921.7 KiB  1546 KiB/s 00:01 [######################] 100%
 xorg-xwayland-23...   920.7 KiB  1354 KiB/s 00:01 [######################] 100%
 yelp-42.2-2-x86_64    816.4 KiB  1245 KiB/s 00:01 [######################] 100%
 libgdata-0.18.1-...   873.5 KiB  1056 KiB/s 00:01 [######################] 100%
 gnome-system-mon...   797.2 KiB  1993 KiB/s 00:00 [######################] 100%
 gdm-45.0.1-1-x86_64   771.6 KiB  1239 KiB/s 00:01 [######################] 100%
 tracker3-miners-...   738.1 KiB  1123 KiB/s 00:01 [######################] 100%
 gnome-keyring-1:...   731.2 KiB   914 KiB/s 00:01 [######################] 100%
 gnome-tour-45.0-...   699.4 KiB  1807 KiB/s 00:00 [######################] 100%
 exempi-2.6.5-1-x...   547.9 KiB  1245 KiB/s 00:00 [######################] 100%
 gst-editing-serv...   511.6 KiB  1201 KiB/s 00:00 [######################] 100%
 gnome-characters...   482.1 KiB  1205 KiB/s 00:00 [######################] 100%
 gnome-music-1:45...   467.7 KiB  1299 KiB/s 00:00 [######################] 100%
 gnome-calendar-4...   467.7 KiB  1448 KiB/s 00:00 [######################] 100%
 gnome-text-edito...   453.5 KiB   971 KiB/s 00:00 [######################] 100%
 gnome-contacts-4...   448.8 KiB   961 KiB/s 00:00 [######################] 100%
 gjs-2:1.78.4-1-x...   437.4 KiB  1326 KiB/s 00:00 [######################] 100%
 gnome-clocks-45....   394.3 KiB  1057 KiB/s 00:00 [######################] 100%
 gnome-online-acc...   351.6 KiB  1075 KiB/s 00:00 [######################] 100%
 gnome-session-45...   335.5 KiB  1008 KiB/s 00:00 [######################] 100%
 baobab-45.0-1-x86_64  333.4 KiB  1052 KiB/s 00:00 [######################] 100%
 grilo-0.3.16-1-x...   332.5 KiB   875 KiB/s 00:00 [######################] 100%
 libshumate-1.1.3...   304.5 KiB   943 KiB/s 00:00 [######################] 100%
 vte4-0.74.2-1-x86_64  282.7 KiB   865 KiB/s 00:00 [######################] 100%
 cracklib-2.9.11-...   272.9 KiB   835 KiB/s 00:00 [######################] 100%
 gnome-bluetooth-...   272.3 KiB   851 KiB/s 00:00 [######################] 100%
 gnome-remote-des...   237.4 KiB   678 KiB/s 00:00 [######################] 100%
 libvncserver-0.9...   231.1 KiB   660 KiB/s 00:00 [######################] 100%
 gnome-logs-45bet...   227.7 KiB   785 KiB/s 00:00 [######################] 100%
 libgoa-3.48.0-2-...   214.9 KiB   619 KiB/s 00:00 [######################] 100%
 gnome-font-viewe...   196.2 KiB   693 KiB/s 00:00 [######################] 100%
 gnome-connection...   192.4 KiB   687 KiB/s 00:00 [######################] 100%
 xdg-desktop-port...   184.4 KiB   549 KiB/s 00:00 [######################] 100%
 bolt-0.9.7-1-x86_64   157.5 KiB   549 KiB/s 00:00 [######################] 100%
 gtk-vnc-1.3.1-1-...   155.1 KiB   480 KiB/s 00:00 [######################] 100%
 gnome-menus-3.36...   151.3 KiB   483 KiB/s 00:00 [######################] 100%
 gnome-weather-45...   149.0 KiB   429 KiB/s 00:00 [######################] 100%
 gnome-shell-exte...   147.3 KiB   491 KiB/s 00:00 [######################] 100%
 gnome-console-45...   146.9 KiB   451 KiB/s 00:00 [######################] 100%
 malcontent-0.11....   144.3 KiB   451 KiB/s 00:00 [######################] 100%
 libpeas-1.36.0-4...   138.6 KiB   428 KiB/s 00:00 [######################] 100%
 gupnp-av-0.14.1-...   134.4 KiB   438 KiB/s 00:00 [######################] 100%
 totem-pl-parser-...   124.5 KiB   394 KiB/s 00:00 [######################] 100%
 gnome-desktop-4-...   116.8 KiB   369 KiB/s 00:00 [######################] 100%
 libdmapsharing-3...   112.6 KiB   356 KiB/s 00:00 [######################] 100%
 libnma-gtk4-1.10...   106.8 KiB   327 KiB/s 00:00 [######################] 100%
 libgrss-0.7.0+16...   104.9 KiB   342 KiB/s 00:00 [######################] 100%
 gupnp-dlna-0.12....   101.4 KiB   350 KiB/s 00:00 [######################] 100%
 libdisplay-info-...   100.2 KiB   313 KiB/s 00:00 [######################] 100%
 libei-1.2.1-1-x86_64   99.3 KiB   364 KiB/s 00:00 [######################] 100%
 libedataserverui...    91.4 KiB   283 KiB/s 00:00 [######################] 100%
 sushi-45.0-1-x86_64    89.9 KiB   281 KiB/s 00:00 [######################] 100%
 libpwquality-1.4...    89.3 KiB   237 KiB/s 00:00 [######################] 100%
 geocode-glib-2-3...    88.6 KiB   292 KiB/s 00:00 [######################] 100%
 gom-0.4-7-x86_64       84.0 KiB   227 KiB/s 00:00 [######################] 100%
 libportal-0.7.1-...    81.1 KiB   211 KiB/s 00:00 [######################] 100%
 libiptcdata-1.0....    76.8 KiB   295 KiB/s 00:00 [######################] 100%
 libgdm-45.0.1-1-...    76.3 KiB   201 KiB/s 00:00 [######################] 100%
 python-atspi-2.4...    76.2 KiB   282 KiB/s 00:00 [######################] 100%
 librest-0.9.1-2-...    72.8 KiB   273 KiB/s 00:00 [######################] 100%
 gnome-autoar-0.4...    70.6 KiB   240 KiB/s 00:00 [######################] 100%
 gnome-user-share...    63.6 KiB   247 KiB/s 00:00 [######################] 100%
 cups-pk-helper-0...    61.8 KiB   213 KiB/s 00:00 [######################] 100%
 libao-1.2.2-6-x86_64   55.6 KiB   202 KiB/s 00:00 [######################] 100%
 xdg-user-dirs-gt...    50.7 KiB   137 KiB/s 00:00 [######################] 100%
 gvfs-mtp-1.52.2-...    48.1 KiB   170 KiB/s 00:00 [######################] 100%
 gvfs-gphoto2-1.5...    47.9 KiB   134 KiB/s 00:00 [######################] 100%
 libmediaart-1.9....    43.8 KiB   118 KiB/s 00:00 [######################] 100%
 gvfs-afc-1.52.2-...    43.6 KiB   137 KiB/s 00:00 [######################] 100%
 gsound-1.0.3-3-x...    40.5 KiB   112 KiB/s 00:00 [######################] 100%
 iio-sensor-proxy...    36.3 KiB   109 KiB/s 00:00 [######################] 100%
 gst-plugin-gtk-1...    36.1 KiB   111 KiB/s 00:00 [######################] 100%
 dotconf-1.3-7-x86_64   34.3 KiB   140 KiB/s 00:00 [######################] 100%
 libnautilus-exte...    32.4 KiB   103 KiB/s 00:00 [######################] 100%
 editorconfig-cor...    31.3 KiB   122 KiB/s 00:00 [######################] 100%
 gvfs-google-1.52...    29.6 KiB   122 KiB/s 00:00 [######################] 100%
 gvfs-goa-1.52.2-...    29.2 KiB  81.0 KiB/s 00:00 [######################] 100%
 liboauth-1:1.0.3...    28.8 KiB   118 KiB/s 00:00 [######################] 100%
 gvfs-smb-1.52.2-...    28.5 KiB  77.1 KiB/s 00:00 [######################] 100%
 tecla-45.0-1-x86_64    28.3 KiB  73.6 KiB/s 00:00 [######################] 100%
 colord-gtk-commo...    26.7 KiB  84.3 KiB/s 00:00 [######################] 100%
 libspeechd-0.11....    20.6 KiB  53.2 KiB/s 00:00 [######################] 100%
 gvfs-nfs-1.52.2-...    19.9 KiB  49.5 KiB/s 00:00 [######################] 100%
 python-setprocti...    14.9 KiB  61.0 KiB/s 00:00 [######################] 100%
 libportal-gtk4-0...    13.0 KiB  31.6 KiB/s 00:00 [######################] 100%
 libportal-gtk3-0...    13.0 KiB  52.5 KiB/s 00:00 [######################] 100%
 xorg-xhost-1.0.9...    12.0 KiB  45.0 KiB/s 00:00 [######################] 100%
 colord-gtk4-0.3....    12.0 KiB  49.3 KiB/s 00:00 [######################] 100%
 geocode-glib-com...    10.0 KiB  37.5 KiB/s 00:00 [######################] 100%
 mod_dnssd-0.6-9-...     9.2 KiB  37.8 KiB/s 00:00 [######################] 100%
 Total (125/125)       176.1 MiB  3.75 MiB/s 00:47 [######################] 100%
(125/125) checking keys in keyring                 [######################] 100%
(125/125) checking package integrity               [######################] 100%
error: baobab: signature from "Jan Alexander Steffens (heftig) <heftig@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/baobab-45.0-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: libportal: signature from "Jan Alexander Steffens (heftig) <heftig@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/libportal-0.7.1-2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: libportal-gtk4: signature from "Jan Alexander Steffens (heftig) <heftig@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/libportal-gtk4-0.7.1-2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] ^C
Interrupt signal received

This goes on and on, the pgp signature.
I have also run the following two commands, but still stuck with the same error.

pacman -Sy archlinux-keyring

pacman-key --refresh-keys

How can i resolve this issue? Kindly help me regarding this.

I just learned recently myself, but sudo pacman -S xxx is not recommended.
Use sudo pacman -Syu xxx instead.

1 Like

This is a relatively common issue. So much so, that one of our trusted forum members wrote a script with info here. See:

3 Likes

I have run that command also. and here is the output that I got:

[adii@manjaro ~]$ sudo pacman -Syu gnome
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 multilib is up to date
:: There are 56 members in group gnome:
:: Repository extra
   1) baobab  2) epiphany  3) evince  4) gdm  5) gnome-backgrounds
   6) gnome-calculator  7) gnome-calendar  8) gnome-characters  9) gnome-clocks
   10) gnome-color-manager  11) gnome-connections  12) gnome-console
   13) gnome-contacts  14) gnome-control-center  15) gnome-disk-utility
   16) gnome-font-viewer  17) gnome-keyring  18) gnome-logs  19) gnome-maps
   20) gnome-menus  21) gnome-music  22) gnome-remote-desktop
   23) gnome-session  24) gnome-settings-daemon  25) gnome-shell
   26) gnome-shell-extensions  27) gnome-software  28) gnome-system-monitor
   29) gnome-text-editor  30) gnome-tour  31) gnome-user-docs
   32) gnome-user-share  33) gnome-weather  34) grilo-plugins  35) gvfs
   36) gvfs-afc  37) gvfs-goa  38) gvfs-google  39) gvfs-gphoto2  40) gvfs-mtp
   41) gvfs-nfs  42) gvfs-smb  43) loupe  44) malcontent  45) nautilus
   46) orca  47) rygel  48) simple-scan  49) snapshot  50) sushi  51) tecla
   52) totem  53) tracker3-miners  54) xdg-desktop-portal-gnome
   55) xdg-user-dirs-gtk  56) yelp

Enter a selection (default=all): 
warning: evince-45.0-1 is up to date -- reinstalling
warning: gnome-keyring-1:46.1-1 is up to date -- reinstalling
warning: gnome-menus-3.36.0-2 is up to date -- reinstalling
warning: gvfs-1.52.2-2 is up to date -- reinstalling
warning: gvfs-afc-1.52.2-2 is up to date -- reinstalling
warning: gvfs-gphoto2-1.52.2-2 is up to date -- reinstalling
warning: gvfs-mtp-1.52.2-2 is up to date -- reinstalling
warning: gvfs-nfs-1.52.2-2 is up to date -- reinstalling
warning: gvfs-smb-1.52.2-2 is up to date -- reinstalling
warning: simple-scan-44.0-2 is up to date -- reinstalling
warning: yelp-42.2-2 is up to date -- reinstalling
:: Starting full system upgrade...
warning: snapd: local (2.62-1) is newer than extra (2.61.2-1)
resolving dependencies...
:: There are 2 providers available for emoji-font:
:: Repository extra
   1) noto-fonts-emoji  2) ttf-joypixels

Enter a number (default=1): 1
looking for conflicting packages...

Packages (125) bolt-0.9.7-1  brltty-6.6-5  colord-gtk-common-0.3.0-2
               colord-gtk4-0.3.0-2  cracklib-2.9.11-1  cups-pk-helper-0.2.7-1
               dotconf-1.3-7  editorconfig-core-c-0.12.6-1
               evolution-data-server-3.50.4-1  exempi-2.6.5-1  folks-0.15.7-1
               freerdp-2:2.11.4-1  geocode-glib-2-3.26.4-4
               geocode-glib-common-3.26.4-4  gjs-2:1.78.4-1  glycin-0.1.2-2
               gnome-autoar-0.4.4-1  gnome-bluetooth-3.0-42.8-1
               gnome-desktop-4-1:44.0-1  gnome-online-accounts-3.48.0-2
               gom-0.4-7  grilo-0.3.16-1  gsound-1.0.3-3
               gst-editing-services-1.22.10-1  gst-plugin-gtk-1.22.10-1
               gtk-vnc-1.3.1-1  gtksourceview5-5.10.0-1  gupnp-av-0.14.1-2
               gupnp-dlna-0.12.0-2  iio-sensor-proxy-3.5-2  js115-115.8.0-1
               libao-1.2.2-6  libdisplay-info-0.1.1-3  libdmapsharing-3.9.13-1
               libedataserverui4-3.50.4-1  libei-1.2.1-1  libgdata-0.18.1-3
               libgdm-45.0.1-1  libgoa-3.48.0-2  libgrss-0.7.0+16+g971c421-3
               libgweather-4-4.4.0-2  libibus-1.5.29-3  libiptcdata-1.0.5-2
               liblouis-3.29.0-1  libmediaart-1.9.6-2
               libnautilus-extension-45.2.1-1  libnma-gtk4-1.10.6-2
               liboauth-1:1.0.3+r16+gc26f038-1  libpeas-1.36.0-4
               libphonenumber-1:8.13.31-1  libportal-0.7.1-2
               libportal-gtk3-0.7.1-2  libportal-gtk4-0.7.1-2
               libpwquality-1.4.5-3  librest-0.9.1-2  libshumate-1.1.3-1
               libspeechd-0.11.5-1  libvncserver-0.9.14-2  mod_dnssd-0.6-9
               mutter-45.4-1.0  noto-fonts-emoji-1:2.042-1
               python-atspi-2.46.1-1  python-setproctitle-1.3.3-1
               speech-dispatcher-0.11.5-1  totem-pl-parser-3.26.6-2
               vte4-0.74.2-1  webkitgtk-6.0-2.42.5-2  xorg-xhost-1.0.9-1
               xorg-xwayland-23.2.6-0  baobab-45.0-1  epiphany-45.3-1
               evince-45.0-1  gdm-45.0.1-1  gnome-backgrounds-45.0-1
               gnome-calculator-45.0.2-1  gnome-calendar-45.1-1
               gnome-characters-45.0-1  gnome-clocks-45.0-1
               gnome-color-manager-3.36.0+r51+gcf7ee2b5-1
               gnome-connections-45.0-1  gnome-console-45.0-1
               gnome-contacts-45.1-1  gnome-control-center-45.3-1
               gnome-disk-utility-45.1-1  gnome-font-viewer-45.0-1
               gnome-keyring-1:46.1-1  gnome-logs-45beta-1  gnome-maps-45.5-1
               gnome-menus-3.36.0-2  gnome-music-1:45.1-1
               gnome-remote-desktop-45.1-1  gnome-session-45.0-1
               gnome-settings-daemon-45.1-1  gnome-shell-1:45.4-1
               gnome-shell-extensions-45.2-1  gnome-software-45.3-1
               gnome-system-monitor-45.0.2-1  gnome-text-editor-45.3-1
               gnome-tour-45.0-1  gnome-user-docs-45.1-1
               gnome-user-share-43.0-1  gnome-weather-45.0-1
               grilo-plugins-1:0.3.16-1  gvfs-1.52.2-2  gvfs-afc-1.52.2-2
               gvfs-goa-1.52.2-2  gvfs-google-1.52.2-2  gvfs-gphoto2-1.52.2-2
               gvfs-mtp-1.52.2-2  gvfs-nfs-1.52.2-2  gvfs-smb-1.52.2-2
               loupe-45.3-1  malcontent-0.11.1-4  nautilus-45.2.1-1
               orca-45.2-1  rygel-1:0.42.5-1  simple-scan-44.0-2
               snapshot-45.2-1  sushi-45.0-1  tecla-45.0-1  totem-43.0-2
               tracker3-miners-3.6.2-2  xdg-desktop-portal-gnome-45.1-1
               xdg-user-dirs-gtk-0.11-2  yelp-42.2-2

Total Download Size:     0.40 MiB
Total Installed Size:  785.55 MiB
Net Upgrade Size:      757.06 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 baobab-45.0-1-x86_64  333.4 KiB   242 KiB/s 00:01 [######################] 100%
 libportal-0.7.1-...    81.1 KiB  49.9 KiB/s 00:02 [######################] 100%
 Total (2/2)           414.5 KiB   221 KiB/s 00:02 [######################] 100%
(125/125) checking keys in keyring                 [######################] 100%
(125/125) checking package integrity               [######################] 100%
error: baobab: signature from "Jan Alexander Steffens (heftig) <heftig@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/baobab-45.0-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: libportal: signature from "Jan Alexander Steffens (heftig) <heftig@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/libportal-0.7.1-2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: libportal-gtk4: signature from "Jan Alexander Steffens (heftig) <heftig@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/libportal-gtk4-0.7.1-2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: webkitgtk-6.0: signature from "Jan Alexander Steffens (heftig) <heftig@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/webkitgtk-6.0-2.42.5-2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: epiphany: signature from "Jan Alexander Steffens (heftig) <heftig@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/epiphany-45.3-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: gvfs: signature from "Jan Alexander Steffens (heftig) <heftig@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/gvfs-1.52.2-2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: evince: signature from "Jan Alexander Steffens (heftig) <heftig@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/evince-45.0-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: gnome-session: signature from "Jan Alexander Steffens (heftig) <heftig@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/gnome-session-45.0-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: js115: signature from "Jan Alexander Steffens (heftig) <heftig@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/js115-115.8.0-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: gjs: signature from "Jan Alexander Steffens (heftig) <heftig@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/gjs-2:1.78.4-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: gnome-autoar: signature from "Jan Alexander Steffens (heftig) <heftig@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/gnome-autoar-0.4.4-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] ^C
Interrupt signal received

I’m still facing that issue. this goes on and on, it seems like it’s never-ending.

Did you already :mag: or read …

1 Like

It’s no problem as long as you didn’t run -Sy any time before. In worst case scenario you’ll get error 404 that package/url doesn’t exist. (At which point refreshing database is necessary and therefore full upgrade too.)

yes, i have

Just a little clarification:

# To update:
sudo pacman -Syu

# To install a package:
sudo pacman -S packagename

# To install a package while also updating:
sudo pacman -Syu packagename

All of these are recommended with the use cases given.

Cheers.

Potential XY Problem detected.

Why? Which Manjaro edition did you install originally? What are you trying to accomplish?

Please help us help you:

XFCE previously.

And did it help you ?